Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreApplication

Represents an OpenIddict application.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreApplication<System.String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>
OpenIddictEntityFrameworkCoreApplication

##### Inherited Members

OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Authorizations
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.ClientId
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.ClientSecret
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.ConcurrencyToken
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.ConsentType
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.DisplayName
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.DisplayNames
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Id
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Permissions
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.PostLogoutRedirectUris
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Properties
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.RedirectUris
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Requirements
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Tokens
OpenIddictEntityFrameworkCoreApplication<String, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>.Type
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.EntityFrameworkCore.Models

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreApplication : OpenIddictEntityFrameworkCoreApplication<string, OpenIddictEntityFrameworkCoreAuthorization, OpenIddictEntityFrameworkCoreToken>

### Constructors

#### OpenIddictEntityFrameworkCoreApplication()

##### Declaration

    public OpenIddictEntityFrameworkCoreApplication()